Module com.io7m.jregions.core
Package com.io7m.jregions.core.unparameterized.areas

## Class AreaL

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.areas.AreaL

- All Implemented Interfaces:
    `AreaLType`, `AreaValuesLType`, `AreaSizeValuesLType`

      public final class AreaL
      extends java.lang.Object
      implements AreaLType

  An area with `long` coordinates.

  The coordinates of the area are given in half-closed form. That is, `minimumX()` refers to the minimum inclusive value on the X axis, and `maximumX()` refers to the maximum exclusive value on the X axis. Likewise for the Y axis.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AreaL.Builder` | Builds instances of type `AreaL`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AreaL.Builder` | `builder​()` | Creates a builder for `AreaL`.
    `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `AreaL` that have equal attribute values.
    `int` | `hashCode​()` | Computes a hash code from attributes: `minimumX`, `maximumX`, `minimumY`, `maximumY`, `sizeX`, `sizeY`.
    `long` | `height​()` | Deprecated. Use `sizeY()`
    `long` | `maximumX​()` |
    `long` | `maximumY​()` |
    `long` | `minimumX​()` |
    `long` | `minimumY​()` |
    `static AreaL` | `of​(long minimumX, long maximumX, long minimumY, long maximumY)` | Construct a new immutable `AreaL` instance.
    `long` | `sizeX​()` |
    `long` | `sizeY​()` |
    `java.lang.String` | `toString​()` | Prints the immutable value `AreaL` with attribute values.
    `long` | `width​()` | Deprecated. Use `sizeX()`

    - ### Methods inherited from interface com.io7m.jregions.core.unparameterized.areas.AreaLType

      `checkPreconditions`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### minimumX

          public long minimumX​()

      Specified by:
        `minimumX` in interface `AreaLType`
      Specified by:
        `minimumX` in interface `AreaValuesLType`
      Returns:
        The value of the `minimumX` attribute

    - #### maximumX

          public long maximumX​()

      Specified by:
        `maximumX` in interface `AreaLType`
      Specified by:
        `maximumX` in interface `AreaValuesLType`
      Returns:
        The value of the `maximumX` attribute

    - #### minimumY

          public long minimumY​()

      Specified by:
        `minimumY` in interface `AreaLType`
      Specified by:
        `minimumY` in interface `AreaValuesLType`
      Returns:
        The value of the `minimumY` attribute

    - #### maximumY

          public long maximumY​()

      Specified by:
        `maximumY` in interface `AreaLType`
      Specified by:
        `maximumY` in interface `AreaValuesLType`
      Returns:
        The value of the `maximumY` attribute

    - #### sizeX

          public long sizeX​()

      Specified by:
        `sizeX` in interface `AreaSizeValuesLType`
      Specified by:
        `sizeX` in interface `AreaValuesLType`
      Returns:
        The computed-at-construction value of the `sizeX` attribute

    - #### sizeY

          public long sizeY​()

      Specified by:
        `sizeY` in interface `AreaSizeValuesLType`
      Specified by:
        `sizeY` in interface `AreaValuesLType`
      Returns:
        The computed-at-construction value of the `sizeY` attribute

    - #### width

          @Deprecated
          public long width​()

      Deprecated. Use `sizeX()`
      Specified by:
        `width` in interface `AreaSizeValuesLType`
      Returns:
        The width of the area

    - #### height

          @Deprecated
          public long height​()

      Deprecated. Use `sizeY()`
      Specified by:
        `height` in interface `AreaSizeValuesLType`
      Returns:
        The height of the area

    - #### equals

          public boolean equals​(java.lang.Object another)

      This instance is equal to all instances of `AreaL` that have equal attribute values.
      Overrides:
        `equals` in class `java.lang.Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode​()

      Computes a hash code from attributes: `minimumX`, `maximumX`, `minimumY`, `maximumY`, `sizeX`, `sizeY`.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        hashCode value

    - #### toString

          public java.lang.String toString​()

      Prints the immutable value `AreaL` with attribute values.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A string representation of the value

    - #### of

          public static AreaL of​(long minimumX,
                                 long maximumX,
                                 long minimumY,
                                 long maximumY)

      Construct a new immutable `AreaL` instance.
      Parameters:
        `minimumX` - The value for the `minimumX` attribute
        `maximumX` - The value for the `maximumX` attribute
        `minimumY` - The value for the `minimumY` attribute
        `maximumY` - The value for the `maximumY` attribute
      Returns:
        An immutable AreaL instance

    - #### builder

          public static AreaL.Builder builder​()

      Creates a builder for `AreaL`.
      Returns:
        A new AreaL builder

Copyright © 2017 <code@io7m.com> http://io7m.com